Up

# NSTextFieldCell

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Cell class for the text field entry control

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSTextFieldCell class

## NSTextFieldCell : NSActionCell

> Declared in:
>   AppKit/NSTextFieldCell.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -backgroundColor
- -drawsBackground
- -setBackgroundColor:
- -setDrawsBackground:
- -setTextColor:
- -textColor

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setTextColor:

- (void) setTextColor: (NSColor*)aColor;

Description forthcoming.

### textColor

- (NSColor*) textColor;

Description forthcoming.

Up